VegBank - Bug #1140

Better delimit results of certification request so they are more readable
09/09/2003 11:27 AM - Michael Lee

Status: Resolved Start date: 09/09/2003
Priority: Normal Due date:

Assignee: P. Anderson % Done: 0%
Category: misc Estimated time: 0.00 hour
Target version: 1.1.0 Spent time: 0.00 hour
Bugzilla-ld: 1140

Description

The certification request now gets emailed in this format:

VegBank Administrator: The following user has requested a certification change
with the following

details: Email: test Sur Name: test Given Name: test Phone Number: test Phone
Type: unknown Current Cert

Level: 1 Requested Cert Level: 2 Highest Degree: 0 Degree Year: Degree Isnt:
test Current Inst: test

Current Position: test ESA Memeber: no Prof. Experience: test Relevant Pubs:
test Veg Sampling Exp: test

Veg Analaysis Exp: test USNVC Exp: test VegBank Experience: test Intended VB
Use: test Plot DB/Tools

Exp: test nvcExpRegionA: US/CAN - NE nvcExpVegA: 1 nvcExpFloristicsA: 1
nvcExpNVCA: 1 esaSponsorNameA:

test esaSponsorEmailA: test esaSponsorNameB: test esaSponsorEmailB: test
nvcExpRegionB: --no other

regions-- nvcExpVegB: 1 nvcExpFloristicsB: 1 nvcExpNVCB: 1 nvcExpRegionC: --no
other regions--

nvcExpVegC: 1 nvcExpFloristicsC: 1 nvcExpNVCC: 1 peerReview: null
additionalStatements: test

It would be better to add a carriage return (or at least a consistent delimiter)
before each field label, ie:

VegBank Administrator: The following user has requested a certification change
with the following
details:

Email: test

Sur Name: test

Given Name: test
Phone Number: test
Phone Type: unknown
Current Cert Level: 1
Requested Cert Level: 2
Highest Degree: 0
Degree Year:

Degree Isnt: test
Current Inst: test
Current Position: test
ESA Memeber: no

Prof. Experience: test
Relevant Pubs: test

Veg Sampling Exp: test

History

#1 - 11/12/2003 04:17 PM - Michael Lee
Don F-L has noted that the end of the cert request is a bit tricky to read. It
currently looks like this:
nvcExpRegionA: US/CAN - NE

nvcExpVegA: 1

nvcExpFloristicsA: 1

nvcExpNVCA: 1
esaSponsorNameA: name1
esaSponsorEmailA: emailt
esaSponsorNameB: name2
esaSponsorEmailB: email2
nvcExpRegionB: US/CAN - Midwest
nvcExpVegB: 1

nvcExpFloristicsB: 1

nvcExpNVCB: 1

nvcExpRegionC: US Alaska / N Canada
nvcExpVegC: 1

nvcExpFloristicsC: 1

nvcExpNVCC: 1

better it would be if the regions were together and it looked like this:
Self assessment of user's knowledge (1=weak, 5=strong)

Region 1: RegionName

Vegetation : 1

Floristics : 3

US-NVC/IVC : 4

Region 2: Northwest US and SOUTHWEST Canada

Veg 14

etc.

#2 - 11/21/2003 09:53 PM - Michael Lee

Much progress was made on this bug. The request was sent to panel@vegbank.org,
which is great. The format looked good. | think the request was only blocked
because the from address was not part of the panel subscribed list. This could

be changed to "help@vegbank.org" or the real address that is used for the "from"
could be added to the listserv from the administrator page. (which overrides the

fact that the address may not be totally legit?)

#3 - 01/30/2004 03:46 PM - P. Anderson

The Certification feature has been much improved. * new look and feel * requires user to be logged in; auto-populates party info  * has nice form
validation * email notifications are more readable

Dear VegPanel Member:
Please review the following certification application.

Name: Anderson, Mark
Email: mark@martianrover.com
Phone Number: n/a

Current Cert Level: professional

Requested Cert Level: certified

Highest Degree: BA/BS

Degree Year: 1999

Degree Inst: University of Colorado, Boulder
Current Organization: NCEAS

Current Position: Software Developer

ESA Member: NO

Prof. Experience: Here's my pro work...

Relevant Pubs: I wrote these things...

Veg Sampling Exp: I have sampled vegetation from Bangkok to Boise...
Veg Analysis Exp: I have analyzed vegetation from Bluegrass to Birch...

US-NVC Exp: My experience with the US NVC is...

VegBank Experience: VegBank has proven itself worthy of my time because I use
it every...
Intended VB Use: Other than for personal edification, I intend to use VegBank

for all sorts of things including...

Plot DB/Tools Exp: I've used them all and this one's the best.

Self assessment of knowledge (l=least, 5=most)
Region 1: Alaska / Northern Canada

Vegetation : 2
Floristics : 3
US-NVC/IVC : 4
Region 2: California
Vegetation : 1
Floristics : 3
US-NVC/IVC : 5

ESA Sponsor #1
Name : Joe McCormanodic

Email: Jjoe@joe.org
ESA Sponsor #2

Name : Sandy Geschankleyschmidt

Email: sgesch@sandy.com
Peer review interest?: YES
Additional statement: Thanks for making such a wonderful certification form.
THANK YOU

#4 - 01/31/2005 02:53 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#5 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1140
